get:
  operationId: getWarehouses
  tags:
    - warehouses
  summary: List warehouses
  responses:
    200:
      description: OK
      content:
        application/json:
          schema:
            type: array
            items:
              type: array
              items:
                $ref: '../schemas/Warehouse.yaml'
post:
  operationId: postWarehouses
  tags:
    - warehouses
  summary: Creates a warehouse
  requestBody:
    required: true
    content:
      application/json:
        schema:
          type: object
          properties:
            code:
              type: string
            name:
              type: string
  responses:
    201:
      description: Created
      content:
        application/json:
          schema:
            $ref: '../schemas/Warehouse.yaml'
